# -*- coding: utf-8 -*-
from ppms.migration import SQLPacket, PacketCategory, MinVersionDependency, MaxVersionDependency, VersionType


class AddNewStampFields(SQLPacket):
    """Add new fields to DT 472 that are used by the PLANTA Link for stamping"""
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 14982

    sql_script = 'wi14982_stamp_fields.sql'

    def get_dependencies(self):
        return (MinVersionDependency(version='39.5.6', version_type=VersionType.CUSTOMIZING),
                MaxVersionDependency(version='39.5.6', version_type=VersionType.CUSTOMIZING))

    def fix(self, packet_runner):
        self.apply_dml_file(self.sql_planta_de_dbms, self.sql_script)

        return self.success()